org.eclipse.pde.core.project

## Interface IPackageImportDescription

    public interface IPackageImportDescription

Describes a package import. Instances of this class can be created via `IBundleProjectService.newPackageImport(String, VersionRange, boolean)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the fully qualified name of the imported package.
`VersionRange` `getVersionRange()` Returns the version constraint of the imported package or `null` if unspecified.
`boolean` `isOptional()` Returns whether the package import is optional.

### Method Detail

#### getName

    String getName()

Returns the fully qualified name of the imported package.

Returns:
  fully qualified name of the imported package

#### getVersionRange

    VersionRange getVersionRange()

Returns the version constraint of the imported package or `null` if unspecified.

Returns:
  version constraint or `null`

#### isOptional

    boolean isOptional()

Returns whether the package import is optional.

Returns:
  whether optional